MagickMind
  1. Blueprints
  • Documentation
    • Get started
      • Introduction
      • Quick Start
      • First API Call
    • Core Concepts
      • Projects
      • Corpus
      • Mindspaces
      • End-Users
      • Websocket
    • Authentication
      • Overview
      • OAuth Flow
      • API Keys
    • Guides
      • Creating a Corpus
      • Managing End-Users
    • SDK
      • Python
      • Go
    • API
      • v1
        • Auth
          • Login
          • Refresh Token
        • End-Users
          • Create End-User
          • Get End-User by ID
          • Update End-User
          • Query End-Users
          • Delete End-User
        • Project
          • Create Project
          • Get Project by ID
          • Get Project List
          • Update Project
          • Delete Project
        • Mindspaces
          • Create Mindspace
          • Update Mindspace
          • Get Mindspace by ID
          • Get Mindspace List
          • Delete Mindspace
          • Get Mindspace Messages
          • Add Mindspace Users by ID
        • Chat
          • Magick Mind Chat
        • Realtime
          • Websocket Subscribe
  • Bifrost
    • API Keys
      • List API keys
      • CreateApiKeyHandler
      • Delete an API key
    • Artifacts
      • Create a time-limited presigned URL for a direct-to-S3 artifact upload
      • S3/Lambda upload-completion webhook (HMAC-signed, server-to-server)
    • Auth
      • Request a password reset email
      • Log in with email and password
      • Refresh an access token
      • Reset a password using a reset token
      • Sign up a new user account
      • Verify an email address from a verification link
      • Send an email verification link
    • Blueprints
      • List blueprints
        GET
      • Create a blueprint
        POST
      • Get a blueprint by key
        GET
      • Validate a blueprint definition without saving it
        POST
      • Get a blueprint by id
        GET
      • Replace a blueprint
        PUT
      • Delete a blueprint
        DELETE
      • Partially update a blueprint
        PATCH
      • Clone a blueprint
        POST
      • Get a blueprint with its traits fully resolved
        GET
    • Centrifugo
      • Centrifugo connect proxy (server-to-server, proxy-secret authenticated)
      • Centrifugo RPC proxy (server-to-server, proxy-secret authenticated)
    • Cortex
      • OpenAI-compatible chat completions via SSE or JSON
    • MagickMind
      • MagickMind chat
    • Corpus
      • List corpora
      • Create a corpus
      • Add artifacts to a corpus
      • Finalize a client-side artifact upload into a corpus
      • List ingestion statuses for all artifacts in a corpus
      • Remove an artifact from a corpus
      • Get the ingestion status of a corpus artifact
      • Query a corpus for relevant content
      • Get a corpus by id
      • Update a corpus
      • Delete a corpus
    • End Users
      • MagickMind chat as an end user (end-user JWT)
      • List end users with optional filters
      • Create an end user
      • Get multiple end users by ids
      • Mint a scoped JWT for an end user
      • Get an end user by id
      • Update an end user
      • Delete an end user
    • Episodes
      • List the authenticated service user's episodes (paginated)
      • Get all graph edges (related + chronological) among a mindspace's episodes, scoped to the authenticated service user
      • Search episodes (mindspace-scoped if mindspace_id set, else user-wide), scoped to the authenticated service user
      • Get a single episode by id, scoped to the authenticated service user
    • MagickSpaces
      • Send a message to a magick space (internal, HMAC-signed)
      • List magick spaces
      • Create a magick space
      • Get a magick space by id
      • Update a magick space
      • Delete a magick space
      • Composable context retrieval - query selected memory types in parallel
      • Join the LiveKit room of a magick space
      • Mint a LiveKit access token for a magick space
      • List messages in a magick space
      • Send a message to a magick space
      • Add users to a magick space
    • MagickMind Chat
      • List MagickMind chat sessions
      • Create a MagickMind chat session
      • Get a MagickMind chat session by id
      • Update a MagickMind chat session
      • Delete a MagickMind chat session
      • Composable context retrieval - query selected memory types in parallel
      • List messages in a MagickMind chat session
      • Send a message in a MagickMind chat session
    • Personas
      • List personas
      • Create a persona
      • Create a persona from a blueprint
      • Get a persona by id
      • Update a persona
      • Delete a persona
      • Prepare a persona for use (warm caches and resources)
      • List versions of a persona
      • Create a persona version
      • Get the active version of a persona
      • Get a persona version
      • Activate a persona version
    • Projects
      • List projects
      • Create a project
      • Get a project by id
      • Update a project
      • Delete a project
    • Runtime
      • Get the effective (resolved) personality of a persona
      • Invalidate the runtime personality cache
    • Traits
      • List traits
      • Create a trait
      • Get a trait by id
      • Replace a trait
      • Delete a trait
      • Partially update a trait
    • Schemas
      • RequestBodies
        • v1_PersonaCreatePersonaHandlerBody
        • v1_AuthForgotPasswordHandlerBody
        • v1_MagickspacesMagickSpaceLivekitJoinHandlerBody
      • ErrorResponse
      • APIError
      • ValidationError
  1. Blueprints

Clone a blueprint

Prod Env
Prod Env
POST
/v1/blueprints/{id}/clone

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Bodyapplication/json

🟠4XX
🔴5XX
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/blueprints//clone' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "new_blueprint_id": "string",
    "new_namespace": "SYSTEM",
    "new_owner_id": "string"
}'
Response Response Example
200 - Example 1
{
    "blueprint_id": "string",
    "category": "string",
    "created_at": "string",
    "created_by": "string",
    "default_dyadic": {
        "confidence_threshold": 0,
        "enabled": true,
        "initial_weight": 0,
        "learnable_traits": [
            "string"
        ],
        "max_relationships": 0,
        "max_weight": 0
    },
    "default_growth": {
        "boundaries": [
            {
                "excluded_values": [
                    "string"
                ],
                "max_value": 0,
                "min_value": 0,
                "reason": "string",
                "trait_ref": "string"
            }
        ],
        "domain_rates": {
            "behavior": 0,
            "identity": 0,
            "narrative": 0
        },
        "goal_states": [
            {
                "attraction_strength": 0,
                "description": "string",
                "id": "string",
                "trait_targets": {
                    "property1": 0,
                    "property2": 0
                }
            }
        ],
        "triggers": [
            {
                "affected_traits": [
                    "string"
                ],
                "condition": "string",
                "direction": "toward_target",
                "id": "string",
                "rate_multiplier": 0
            }
        ],
        "type": "FIXED"
    },
    "description": "string",
    "id": "string",
    "name": "string",
    "namespace": "SYSTEM",
    "owner_id": "string",
    "traits": [
        {
            "default": {
                "constraint": {},
                "lock": "HARD",
                "trait_ref": "string",
                "value": {}
            },
            "required": true,
            "trait_ref": "string"
        }
    ],
    "updated_at": "string",
    "visibility": "PRIVATE"
}
Previous
Partially update a blueprint
Next
Get a blueprint with its traits fully resolved
Built with